<?php
use think\facade\Route;


Route::get('<controller>$', 'admin/:controller/index')->ext('html');
Route::get('<controller>/index$', ':controller/index')->ext('html');
Route::get('<controller>/getlist$', ':controller/getlist')->ext('html');
Route::get('<controller>/create$', 'admin/:controller/create')->ext('html');
Route::get('<controller>-<id>$', ':controller/read')->ext('html')->pattern(['id' => '\d+']);
Route::get('<controller>-<id>/edit$', 'admin/:controller/edit')->ext('html')->pattern(['id' => '\d+']);
Route::rule('<controller>$', ':controller/save','POST|PUT')->ext('html');
Route::delete('<controller>-<id>/del$', ':controller/del')->ext('html')->pattern(['id' => '\d+']);
