<?php
use think\facade\Route;

Route::get('admin$','admin.Index/index')->ext('html');
Route::get('admin/<controller>$','cms/admin.:controller/index')->ext('html');
Route::get('admin/<controller>/index$','admin.:controller/index')->ext('html');
Route::get('admin/<controller>/getlist$','admin.:controller/getlist')->ext('html');
Route::get('admin/<controller>/read$','admin.:controller/read')->ext('html');
Route::get('admin/<controller>-<id>/edit$','admin.:controller/edit')->ext('html')->pattern(['id' => '\d+']);
Route::get('admin/<controller>-<id>$','admin.:controller/read')->ext('html')->pattern(['id' => '\d+']);
Route::delete('admin/<controller>-<id>$','admin.:controller/del')->ext('html')->pattern(['id' => '\d+']);
Route::put('admin/<controller>$','admin.:controller/save')->ext('html');
Route::post('admin/<controller>$','admin.:controller/save')->ext('html');
Route::rule('admin/<controller>/<action>$','admin.:controller/:action')->ext('html');

Route::get('member$','member.Index/index')->ext('html');
Route::get('member/<controller>$','member.:controller/index')->ext('html');
Route::get('member/<controller>/index$','member.:controller/index')->ext('html');
Route::get('member/<controller>/getlist$','member.:controller/getlist')->ext('html');
Route::get('member/<controller>/read$','member.:controller/read')->ext('html');
Route::get('member/<controller>-<id>/edit$','member.:controller/edit')->ext('html')->pattern(['id' => '\d+']);
Route::get('member/<controller>-<id>$','member.:controller/read')->ext('html')->pattern(['id' => '\d+']);
Route::delete('member/<controller>-<id>$','member.:controller/del')->ext('html')->pattern(['id' => '\d+']);
Route::put('member/<controller>$','member.:controller/save')->ext('html');
Route::post('member/<controller>$','member.:controller/save')->ext('html');
Route::rule('member/<controller>/<action>$','member.:controller/:action')->ext('html');

Route::get('api/<controller>$','api.:controller/index')->ext('html');
Route::get('api/<controller>/index$','api.:controller/index')->ext('html');
Route::get('api/<controller>/getlist$','api.:controller/getlist')->ext('html');
Route::get('api/<controller>/read$','api.:controller/read')->ext('html');
Route::get('api/<controller>-<id>$','api.:controller/read')->ext('html')->pattern(['id' => '\d+']);
Route::delete('api/<controller>-<id>$','api.:controller/del')->ext('html')->pattern(['id' => '\d+']);
Route::put('api/<controller>$','api.:controller/save')->ext('html');
Route::post('api/<controller>$','api.:controller/save')->ext('html');
Route::rule('api/<controller>/<action>$','api.:controller/:action')->ext('html');

Route::get('','Index/index')->ext('html');
Route::get('<controller>$',':controller/index')->ext('html');
Route::get('<controller>/index$',':controller/index')->ext('html');
Route::get('<controller>/getlist$',':controller/getlist')->ext('html');
Route::get('<controller>/read$',':controller/read')->ext('html');
Route::get('<controller>-<id>$',':controller/read')->ext('html')->pattern(['id' => '\d+']);
Route::rule('<controller>/<action>$',':controller/:action')->ext('html');