<?php
declare(strict_types = 1);

namespace app\common\validate;

use think\Validate;

class Modular extends Validate
{
    protected $rule =   [
        'name|模块URL'  => 'require|unique:modular|alpha|lower|notin:hook,event,controller,model,support,validate,common,admin,home,member,imtrait,middleware,route,config,public,process,resoure,runtime,vendor,index,text,pic',
    ];
    protected $message = [
        'name.notin' => '模块URL字段为系统保留字段',
        'name.unique' => '模块URL已存在',
    ];
}