<?php
// +----------------------------------------------------------------------
// | 模板设置
// +----------------------------------------------------------------------

return [
    // 模板引擎类型使用Think
    'type'          => 'Think',
    // 默认模板渲染规则 1 解析为小写+下划线 2 全部转换小写 3 保持操作方法
    'auto_rule'     => 1,
    // 模板目录名
    'view_dir_name' => 'public',
    // 模板后缀
    'view_suffix'   => 'htm',
    // 模板文件名分隔符
    'view_depr'     => DIRECTORY_SEPARATOR,
    // 模板引擎普通标签开始标记
    'tpl_begin'     => '{',
    // 模板引擎普通标签结束标记
    'tpl_end'       => '}',
    // 标签库标签开始标记
    'taglib_begin'  => '{',
    // 标签库标签结束标记
    'taglib_end'    => '}',
    'cache_path'    => runtime_path('views'),
    //  默认模板
    'default_dir' => 'default',
    'view_default_dir'    => 'default',
    'view_path' => 'public/home',
    //  定义公用资源目录
    'tpl_replace_string' => [
        '__PUBLIC__'    => '/public/static',
        '__LAYUI__'     => '/public/static/layui',
        '__WANGEDITOR__'=> '/public/static/Wangeditor',
    ],
    'taglib_pre_load'     =>    'app\common\imtrait\Im',
    // 模板过期时间
    'cache_time' => -1,
];
