layui.define(['layer','form','table','laydate','carousel','util','element'], function(exports) {
    let layer = layui.layer,
        layform = layui.form,
        laytable = layui.table,
        element = layui.element,
        layutil = layui.util,
        carousel = layui.carousel,
        laydate = layui.laydate;
    let see = {
        PostUrl:function (url,data,success){
            layer.load(1);
            $.post(url,data,function (res){
                layer.closeAll('loading');
                if(typeof success == "function"){
                    success(res);
                }
            });
        },
        GetUrl:function (url,data,success){
            layer.load(1);
            $.get(url,data,function (res){
                layer.closeAll('loading');
                if(typeof success == "function"){
                    success(res);
                }
            });
        },
        getweb:function (o){
            let d = o.setp ? o : $(o).data(),
                t = $(`._title`),
                u = $(`._uplist`),
                b = $(`._btnbox`);
            switch (d.setp.toString()){
                case '-1':
                    window.close();
                    break;
                case '0':
                    t.html(`阅读使用协议`);
                    u.html(xieyi);
                    b.html(`<a class="ery-button ery-bg-blue ery-click" data-type="getweb" data-setp="1">同意使用协议</a>`);
                    element.progress('progress', '0');
                    break;
                case '1':
                    see.GetUrl(`/install/index/one.html`,'',function (res){
                        if(res.code.toString() === '1'){
                            let _temp = see.quexian(res.data.readdb),
                                _stop = res.data.readdb.check ? `<a class="ery-button ery-click" data-type="getweb" data-setp="0">上一步</a><a class="ery-button ery-bg-blue ery-click" data-type="getweb" data-setp="2">下一步</a>` : `<a class="ery-button ery-bg-red">环境验证未通过</a>`;
                            u.html(_temp);
                            t.html(`检测安装环境`);
                            b.html(_stop);
                            element.progress('progress', '25%');
                            return false;
                        }
                    });
                    break;
                case '2':
                    t.html(`配置网站信息`);
                    u.html(setform);
                    b.html(`<a class="ery-button ery-click" data-type="getweb" data-setp="1">上一步</a>
<a class="ery-button ery-bg-blue ery-click" data-type="getweb" data-setp="3">下一步</a>`);
                    element.progress('progress', '50%');
                    break;
                case '3':
                    if(!d.getsever){
                        $(`#databasebtn`).click();
                        return false;
                    }
                    t.html(`安装数据库`);
                    u.html(``);
                    b.html(`<a class="ery-button">正在安装数据库,请等待</a>`);
                    element.progress('progress', '75%');
                    see.setsql(`/install/index/three.html`,'999');
                    break;
                case '4':
                    t.html(`系统安装完成`);
                    u.html(`<div class="layout ery-fex-c ery-fex-column ery-fex-itemsc"><a class="ery-xs4 ery-button ery-bg-blue" href="${window.location.origin}">网站首页</a><a class="ery-xs4 ery-button ery-bg-yellow ery-mag-t20" href="${window.location.origin}/admin">网站后台</a></div>`);
                    b.html(``);
                    element.progress('progress', '100%');
                    break;
            }
        },
        getxieyi:function (){
            return xieyi;
        },
        //  渲染权限
        quexian:function (data){
            let _os = ``,
                _hanshu = ``,
                _dir = ``;

            $.each(data.xitong,function (k,v){
                let _v = v[4].toString() === 'success' ? ` <i class="ery-text-green ery-icon ery-iconcheck"> ${v[3]}</i>` : `<i class="ery-text-red ery-icon ery-iconcuowu"> ${v[3]}</i>`;
                _os += `<tr>
            <td class="ery-text-center">${v[0]}</td>
            <td class="ery-text-center">${v[1]}</td>
            <td class="ery-text-center">${v[2]}</td>
            <td class="ery-text-center">
            ${_v}
            </td>
        </tr>`;
            });
            $.each(data.hanshu,function (k,v){
                let _v = v[3].toString() === 'success' ? ` <i class="ery-text-green ery-icon ery-iconcheck"> ${v[2]}</i>` : `<i class="ery-text-red ery-icon ery-iconcuowu"> ${v[2]}</i>`;
                _hanshu += `<tr>
            <td class="ery-text-center">${v[0]}</td>
            <td class="ery-text-center">${v[1]}</td>
            <td class="ery-text-center">
                ${_v}
            </td>
        </tr>`;
            });
            $.each(data.check_dirs,function (k,v){
                let _v = v[3].toString() === 'success' ? ` <i class="ery-text-green ery-icon ery-iconcheck"> ${v[2]}</i>` : `<i class="ery-text-red ery-icon ery-iconcuowu"> ${v[2]}</i>`;
                _dir += `<tr>
            <td class="ery-text-center">${v[0]}</td>
            <td class="ery-text-center">${v[1]}</td>
            <td class="ery-text-center">
                ${_v}
            </td>
        </tr>`;
            });

            return `<div class="layout ery-fex-l ery-fex-column">
    <h3 class="ery-text-f16 ery-text-center">系统配置</h3>
    <table class="layui-table" lay-even>
        <thead>
        <tr>
            <th width="25%" class="ery-texery-text-centerenter">名称</th>
            <th width="25%" class="ery-text-center">最低版本</th>
            <th width="25%" class="ery-text-center">推荐版本</th>
            <th width="25%" class="ery-text-center">当前版本</th>
        </tr>
        </thead>
        <tbody>
        ${_os}
        </tbody>
    </table>
    <h3 class="ery-text-f16 ery-text-center">环境变量</h3>
    <table class="layui-table" lay-even>
        <thead>
        <tr>
            <th class="ery-text-center">变量名</th>
            <th width="25%" class="ery-text-center">是否可写</th>
            <th width="25%" class="ery-text-center">当前配置</th>
        </tr>
        </thead>
        <tbody>
        ${_hanshu}
        </tbody>
    </table>
    <h3 class="ery-text-f16 ery-text-center">权限检测</h3>
    <table class="layui-table" lay-even>
        <thead>
        <tr>
            <th class="ery-text-center">文件名</th>
            <th width="25%" class="ery-text-center">是否可写</th>
            <th width="25%" class="ery-text-center">当前配置</th>
        </tr>
        </thead>
        <tbody>
        ${_dir}
        </tbody>
    </table>
</div>`;
        },
        //  导入数据库
        setsql: function (url,o){
            see.GetUrl(url,{code: o},function (res){
                if(res.code.toString() === '2'){
                    $(`._uplist`).prepend(`<div class="layout ery-pad-tb10 ery-text-green">${res.msg}</div>`);
                    see.setsql(res.data.url,'2');
                } else if (res.code.toString() === '1'){
                    see.getweb({setp:'4'});
                }
            });
        },
    };
    layform.on('submit(databasebtn)', function(data){
        see.PostUrl(`/install/index/two.html`,data.field,success = function (res) {
            layer.msg(res.msg);
            if(res.code.toString() === '1'){
                see.getweb({setp:'3',getsever: '3'});
            }
        });
        return false;
    });
    $("body").on('click', ".ery-click", function () {
        let a = $(this),
            b = a.data("type");
        see[b] ? see[b].call(this, a) : ""
    });
    exports("app", see);
});

var _time = new Date(),
    xieyi = `版权所有 (c) 2015-${_time.getFullYear()}，WORMCMS.COM保留所有权利。</br></br>
            感谢您选择易如云企业管理系统。希望我们的努力能为您提供一个简单.快速、高效.稳定的企业解决方案。</br>
            易如云信息科技(上海)有限公司官方网址 www.eruyun.com。</br></br>
            用户须知：</br>
            本协议是您与WORMCMS.COM（以下简称易如云CMS）之间关于您使用易如云CMS提供的各种软件产品及服务的法律协议。</br>
            无论您是个人或组织、盈利与否、用途如何（包括以学习和研究为目的），均需仔细阅读本协议，包括免除或者限制易如云CMS责任的免责条款及对您的权利限制。请您审阅并接受或不接受本服务条款。</br>
            如您不同意本服务条款或易如云CMS随时对其的修改，您应不使用或主动取消易如云CMS提供的相关产品。否则，您的任何对易如云CMS产品中的相关服务的注册、登陆、下载、查看等使用行为将被视为您对本服务条款全部的完全接受，包括接受易如云CMS对服务条款随时所做的任何修改。</br></br>
            本服务条款一旦发生变更, 易如云CMS将在网页上公布修改内容。修改后的服务条款一旦在网站管理后台上公布即有效代替原来的服务条款。</br>
            您可随时登陆易如云CMS官方网站查阅最新版服务条款。</br>
            如果您选择接受本条款，即表示您同意接受协议各项条件的约束。如果您不同意本服务条款，则不能获得使用本服务的权利。</br>
            您若有违反本条款规定，易如云CMS有权随时中止或终止您对易如云CMS产品的使用资格并保留追究相关法律责任的权利。</br></br>
            在理解、同意、并遵守本协议的全部条款后，方可开始使用易如云CMS产品。您可能与易如云CMS直接签订另一书面协议，以补充或者取代本协议的全部或者任何部分，易如云信息科技(上海)有限公司拥有易如云CMS的全部知识产权。本软件只供许可协议，并非出售。易如云CMS只允许您在遵守本协议各项条款的情况下复制、下载、安装、使用或者以其他方式受益于本软件的功能或者知识产权。</br></br>
            I. 协议许可的权利 </br></br>
            您可以在完全遵守本许可协议的基础上，将本软件应用于商业用途，而不必支付软件版权许可费用。</br>
            您可以在协议规定的约束和限制范围内修易如云CMS产品源代码(如果被提供的话)或界面风格以适应您的网站要求，但必须保留软件版本信息的正常显示及相关连接正常。</br>
            您拥有使用本软件构建的网站中全部会员资料、文章及相关信息的所有权，并独立承担与使用本软件构建的网站内容的审核、注意义务，确保其不侵犯任何人的合法权益，独立承担因使用易如云CMS和服务带来的全部责任，若造成易如云CMS或用户损失的，您应予以全部赔偿。 </br>
            您可以从易如云CMS提供的应用市场服务中下载适合您网站的应用程序，但应向应用程序开发者/所有者支付相应的费用。</br></br>
            II. 协议规定的约束和限制 </br></br>
            禁止去除易如云CMS源码里的版权信息，商业授权版本可去除后台界面及前台界面的相关版权信息。</br>
            禁止在易如云CMS整体或任何部分基础上发展任何派生版本、修改版本或第三方版本用于重新分发。</br></br>`,
    setform = `<form class="layout layui-form ery-fex-l ery-fex-column ery-pad-b30" action="" method="post" lay-filter="setweb">
    <h3 class="ery-text-f16 ery-text-center">数据库信息</h3>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据库地址<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据库地址" required  lay-verify="required" name="db[hostname]" value="localhost">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据库名<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据库名" required  lay-verify="required" name="db[database]" value="">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据库用户名<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据库用户名" required  lay-verify="required" name="db[username]" value="">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据库密码<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据库密码" required  lay-verify="required" name="db[password]" value="">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据库端口<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据库端口" required  lay-verify="required" name="db[hostport]" value="3306">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">数据表前缀<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入数据表前缀" required  lay-verify="required" name="db[prefix]" value="im_">
        </div>
    </div>
    <div class="ery-form-group">
        <label class="ery-label ery-text-f14"></label>
        <div class="ery-form-item ery-text-red">
            同一数据库安装多个系统，请更改不同的数据表前缀
        </div>
    </div>
    <h3 class="ery-text-f16 ery-text-center ery-mag-t20">网站基本信息</h3>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">网站名称<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入网站名称" required  lay-verify="required" name="web[web_title]" value="">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">网站地址<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入网站地址" required  lay-verify="required" name="web[web_url]" value="${window.location.origin}">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">管理员用户名<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="text" class="ery-ipt ery-bor-no" placeholder="请输入管理员用户名" required  lay-verify="required" name="web[u_name]" value="admin">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20">
        <label class="ery-label ery-text-f14">管理员密码<span class="ery-text-red">(*)</span></label>
        <div class="ery-form-item">
            <input type="password" class="ery-ipt ery-bor-no" placeholder="请输入管理员密码" required  lay-verify="required" name="web[u_password]" value="">
        </div>
    </div>
    <div class="ery-form-group ery-borbottom ery-bor-white-1 ery-mag-t20 ery-hidden">
        <label class="ery-label ery-text-f14"></label>
        <div class="ery-form-item">
            <button id="databasebtn" lay-submit lay-filter="databasebtn">立即提交</button>
        </div>
    </div>
</form>`;