<?php
declare(strict_types = 1);
namespace app\admin\controller;

use app\common\controller\AdminBase;
use think\facade\Event;

class Login extends AdminBase
{
    protected function initialize()
    {
        parent::initialize();
        $this->BaseModel('User');
        switch ($this->request->action()){
            case 'index':
                $this->list_base['url'] = GetEruUrl('admin/Login/save',$this->getdata);
                break;
        }
    }
    public function save()
    {
        $data = $this->SaveCheck();
        if($this->webdb['web_adminyz'] == '1' && !captcha_check($data['u_captcha'])){
            ResJson('','验证码不正确','0');
        }
        $res = $this->model->Login($data);
        if($res['code'] == '0'){
            Event::trigger('User',['type' => 'Error','data' => $data]);
            ResJson('',$res['msg'],'0');
        }
        $res['data'] = FileEditAdd($res['data'],false,true);
        Event::trigger('User',['type' => 'Success','data' => $res['data']]);
        ResJson($res['data'],'登录成功','1',GetEruUrl('admin/Index/index'));
    }

    public function out(){
        Event::trigger('User',['type' => 'OutUser','data' => []]);
        ResClient('退出成功','1');
    }
}