<?php
declare(strict_types = 1);
namespace app\common\controller;

use app\common\imtrait\ImTrait;

class AdminBase extends Base
{
    use ImTrait;
    protected $list_nav;
    protected mixed $list_file;
    protected $list_search;

    protected function initialize()
    {
        parent::initialize();
        $this->space_name = 'admin';
        $this->AdminLogin();
        $this->AdminAuth();
        //  设置模板
        $this->request->viewconf = $this->SetView(['app' => $this->space_name]);
    }
    protected function AdminAuth(){
        if($this->request->controller() != 'Login'){
            $this->CheckAuth(['read','create','edit','del']);
        }
        return true;
    }
    protected function AdminLogin(){
        if(!session('?_eru_') && $this->request->controller() != 'Login'){
            Redirect(GetEruUrl('admin/Login/index'));
        }
        if(session('?_eru_') && $this->request->controller() == 'Login' && $this->request->action() != 'out'){
            Redirect(GetEruUrl('admin/Index/index'));
        }
        return true;
    }
}