<?php
declare(strict_types = 1);
namespace app\common\validate;

use think\Validate;

class ModularField extends Validate
{
    protected $rule =   [
        'field|字段键值'  => 'require|alphaDash|lower|notin:id,cid,uid,sort,status,addtime,edittime,del_time,addip,ropt,table_distinct,table_type,count,table_group,page,list_rows,limit,order,pages,GetTimes,get_times,gettimes,GetFile,getfile,get_file,filedjob,key,getdel,edit,save',
    ];
    protected $message = [
        'field.notin' => '字段为系统保留字段',
    ];
    public function sceneEdit(){
        return $this->remove('field',['alphaDash','lower']);
    }
}