<?php
declare(strict_types = 1);

namespace app\common\validate;

use think\Validate;
class Money extends Validate
{
    protected $rule =   [
        'add_type|交易类型'  => 'require|number',
        'money_type|积分类型'  => 'require|number',
        'money|交易值'  => 'require|>:0',
    ];
    protected $message = [
        'money.gt' => '交易值不得为空',
    ];
}