layui.define( function(exports) {
    const layer = layui.layer,
        layform = layui.form,
        carousel = layui.carousel;

    let see = {};

    see.AppPost = function (url,data = '',fun = '') {
        $.post(url,data,function (res) {
            if(typeof fun == "function"){
                fun(res);
            } else {
                layer.msg(res.msg,{},function () {
                    if(res.code.toString() === '1'){
                        return true;
                    }else if (res.code.toString() === '0'){
                        return false;
                    }
                })
            }
        }).fail(function () {
            layer.closeAll('loading');
            layer.alert('系统错误，请稍后再试！');
        });
    }
    see.AppGet = function (url,data = '',fun = '') {
        $.get(url,data,function (res) {
            layer.closeAll('loading');
            if(typeof fun == "function"){
                fun(res);
            } else {
                layer.msg(res.msg,{},function () {
                    if(res.code.toString() === '1'){
                        return true;
                    }else if (res.code.toString() === '0'){
                        return false;
                    }
                })
            }
        }).fail(function () {
            layer.closeAll('loading');
            layer.alert('系统错误，请稍后再试！');
        });
    }

    //建造实例
    carousel.render({
        elem: '#inhdp',
        width: '100%',
        height: '100%',
        arrow: 'hover'
    });
    //  提交表单
    layform.on('submit(formbasebtn)', function(data){
        let uri = data.form.action;
        see.AppPost(uri,data.field,success = function (res) {
            layer.msg(res.msg);
            if (res.code.toString() === '1') {
                if(res.url){
                    window.location.href = res.url;
                } else {
                    window.location.reload();
                }
            }
        });
        return false;
    });

    $("body").on('click', ".ery-click", function () {
        let a = $(this),
            b = a.data("type");
        see[b] ? see[b].call(this, a) : ""
    });
    exports("app", see);
});