layui.define(['layer'],function(exports){
    let layer = layui.layer,
        erytab = {
            // post提交数据
            EruPost:function (url,data = {},fun = '') {
                layer.load(1);
                $.post(url,data,function (res) {
                    layer.closeAll('loading');
                    if(typeof fun == "function"){
                        fun(res);
                    } else {
                        layer.msg(res.msg,{},function () {
                            if(res.code.toString() === '1'){
                                return true;
                            }else if (res.code.toString() === '0'){
                                return false;
                            }
                        })
                    }
                }).fail(function () {
                    layer.closeAll('loading');
                    layer.alert('系统错误，请稍后再试！');
                });
            },
            editlabel:function (o) {
                let d = $(o).data(),
                    g = .8 * $(window).width(),
                    k = .9 * $(window).height();
                layer.open({
                    title: `编辑标签-${d.title}`,
                    type: 2,
                    area: [g + "px", k + "px"],
                    content: d.uri,
                    cancel: function(index, layero){
                        location.reload()
                    }
                });
                return false;
            },
        };

    $('body.ery-bodydbclick').dblclick(function () {
        let _label = layui.sessionData('label'),
            msg = _label.label ? `是否退出标签管理` : `是否进行标签管理`;

        layer.confirm(msg, {title:'提示'}, function(index){
            erytab.EruPost('/admin/config/edithomelabel.html', {},function (res) {
                if(res.code.toString() === '1'){
                    if(_label.label){
                        layui.sessionData('label', {
                            key: 'label',
                            remove: true
                        });
                    } else {
                        layui.sessionData('label', {
                            key: 'label',
                            value: 'edit'
                        });
                    }
                    location.reload();
                }
                layer.msg(res.msg);
                layer.close(index);
            });
        },function (index){
            layer.close(index);
        });
    });
    $("body").on('click', ".ery-label", function () {
        let a = $(this),
            b = a.data("type");
        erytab[b] ? erytab[b].call(this, a) : ""
    });
    //输出 erytab 接口
    exports('eruyun_tab', erytab);
});